Ask Your Question
0

ERROR: cannot launch node of type [gmapping/slam_gmapping]: gmapping

asked 2017-03-07 04:37:58 -0500

malgudi gravatar image

updated 2017-03-07 08:52:17 -0500

I am trying to run agvs_complete package on ubuntumate 16.04 raspberry pi 3 model. I am using ROS kinetic version. The agvs_complete package is written for hydro version. I simply clone it and then I tried to use it using roslaunch file of gmapping. Then it is showing as following error. I don't know how to make compatible hydro packages to kinetic? Is there any way to solve it? There a lot of launch files in agvs_complete package which are written for hydro and I am trying to run for kinetic. Please help me, it urgent. I should meet my deadline.

 PARAMETERSI
 * /rosdistro: kinetic
 * /rosversion: 1.12.6

NODES
  /
    slam_gmapping (gmapping/slam_gmapping)

ROS_MASTER_URI=http://localhost:11311

core service [/rosout] found
ERROR: cannot launch node of type [gmapping/slam_gmapping]: gmapping
ROS path [0]=/opt/ros/kinetic/share/ros
ROS path [1]=/home/agv/catkin_ws/src
ROS path [2]=/opt/ros/kinetic/share
No processes to monitor
shutting down processing monitor...
... shutting down processing monitor complete
edit retag flag offensive close merge delete

Comments

Please tell us what you are actually trying to do, which version of ROS this is, how you installed things (especially gmapping), etc. Right now this is just a plain dump of your error message, and we cannot help you.

gvdhoorn gravatar image gvdhoorn  ( 2017-03-07 05:28:19 -0500 )edit

I am sorry. I have updated my question please see it. Thank you.

malgudi gravatar image malgudi  ( 2017-03-07 08:53:09 -0500 )edit

Are you sure the gmapping package is installed? Do you see it in the list when you type "rospack list"? If not you can install it using "sudo apt install ros-kinetic-gmapping".

Hug gravatar image Hug  ( 2018-07-26 10:11:17 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-03-02 04:54:10 -0500

hussien Quapti gravatar image

Thats mean you don't install gmapping package .You can do thats in terminal by type this commend:- sudo apt install ros-kinetic-gmapping

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-03-07 04:37:58 -0500

Seen: 2,498 times

Last updated: Mar 07 '17